Grayscale Band Min Max Values Not Saved

2008-02-09 01:48 PM - David A- Riggs -

Status: Closed

Priority: Low

Assignee: ersts -

Category: Rasters

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11004

Description

1. Add a new raster layer, grayscale .tiff (DEM from ftp://ftp.wvgis.wvu.edu/pub/Clearinghouse/DEM/3m/Tiff/ )

2. Edit Properties: Select Grayscale Band Scaling "Custom Min Max Value", set values for Min and Max. The color scaling is adjusted as

expected.

3. Save as new project. Close QGIS. Open QGIS. Open project.

Result: the .tiff file as been set back to Grayscale Band Scaling "Std Deviation", Min and Max values have reset to actual values in file. In

other words, all custom Grayscale Band Scaling settings have been lost.

Expected behavior: "Custom Min Max Value" setting persisted, Min and Max values persisted.

This was tested with both HEAD/trunk and with the 0.9.2rc1 Debian packages.

History

#1 - 2008-05-05 08:21 PM - ersts -

- Resolution set to fixed

- Status changed from Open to Closed

#2 - 2009-08-22 12:54 AM - Anonymous

Milestone Version 0.9.2 deleted
